Fedora 11(i686, x86_64)

  • ページ: 動作報告
  • 投稿者: 廣島 勉?
  • 状態: 成功
  • ptexliveバージョン:20090629
  • 投稿日: 2009-07-03 (金) 16:57:36

必要パッケージ

おそらく

texlive-texmf-errata-2007-6.fc11.noarch
texlive-texmf-latex-2007-28.fc11.noarch
texlive-texmf-fonts-2007-28.fc11.noarch
texlive-texmf-errata-dvips-2007-6.fc11.noarch
texlive-texmf-errata-latex-2007-6.fc11.noarch
texlive-texmf-errata-fonts-2007-6.fc11.noarch
texlive-texmf-2007-28.fc11.noarch
texlive-texmf-dvips-2007-28.fc11.noarch

ptexlive.cfg

texlive2008-**.iso を /media/iso にマウントするとして,

ISO_DIR=/media/iso
TEXLIVE_DIR=$ISO_DIR
TEXMFDIST=/usr/share/texmf

メッセージ

7font-search.sh のパスを F11 向けに修正し, texlive2008 を iso から install-tl フルインストールで成功しました.

しかし,あまりにもディスクスペースを取られるため,install-tl をせず, 必要なファイルのみコピーすることで, RPM でインストール済みの texlive-texmf を流用できないかと挑戦しました. 以下の変更の後は手順どおりです.

後で不具合が見つかるかもしれませんが, 私にとっては必要な環境が整ったみたいなので, とりあえず「成功」としておきます.

ちなみに texlive2008 の インストールスキームで a) scheme-basic を選んだ場合, 5macro.sh と 9realloc.sh の $UPDMAP に --syncwithtrees のオプションを与えて インストール可能なことを確認してます. ただし使用可能な latex パッケージは限定されます.

Index: ptexlive/4extract-texmf.sh
===================================================================
--- ptexlive.orig/4extract-texmf.sh
+++ ptexlive/4extract-texmf.sh
@@ -14,9 +14,11 @@ $MV $TEXMF      $TEXMF.install      || e
 tarcp $TEXLIVE_DIR/texmf $TEXMF     || exit
 chmod -R u+rw            $TEXMF     || exit
 tarcp $TEXMF.install     $TEXMF     || exit
+tarcp $TEXLIVE_DIR/texmf-dist/tex/generic/dehyph-exptl $TEXMF/tex/generic/dehyph-exptl || exit
+tarcp $TEXLIVE_DIR/texmf-dist/tex/generic/hyph-utf8 $TEXMF/tex/generic/hyph-utf8 || exit
 
-$LN $TEXLIVE_DIR/tlpkg      $TEXMF/.. || exit
-$LN $TEXLIVE_DIR/texmf-dist $TEXMF/.. || exit
+$LN $TEXMFDIST $TEXMF-dist || exit
+find -L $SRC/inst/bin/$ARCH -mindepth 1 -maxdepth 1 -type l -delete
 
 
 ## for ptex
Index: ptexlive/5macro.sh
===================================================================
--- ptexlive.orig/5macro.sh
+++ ptexlive/5macro.sh
@@ -243,5 +243,5 @@ if test -f $SRC/inst/texmf-config/web2c/
     $MV $SRC/inst/texmf-config/web2c/updmap.cfg $SRC/inst/texmf/web2c/ || exit
 fi
 $MKTEXLSR 2> /dev/null || exit
-$UPDMAP   2> /dev/null || exit
+$UPDMAP --syncwithtrees  2> /dev/null || exit
 echo ""
Index: ptexlive/7font-search.sh
===================================================================
--- ptexlive.orig/7font-search.sh
+++ ptexlive/7font-search.sh
@@ -134,8 +134,8 @@ japanese  /usr{,/local}/share/fonts/japa
 default   /usr{,/local}/share/fonts/default/TTF
 openwin   /usr/openwin/lib/locale/ja/X11/fonts/TT
 QtPalmtop /opt/QtPalmtop/lib/X11/fonts/TrueType
-f8sazanami-min  /usr/share/fonts/sazanami-fonts-mincho
-f8sazanami-goth /usr/share/fonts/sazanami-fonts-gothic
+f11sazanami-min  /usr/share/fonts/sazanami/mincho
+f11sazanami-goth /usr/share/fonts/sazanami/gothic
 vine5ipa	/usr/share/fonts/TrueType-ipafont
 vine5vlgoth	/usr/share/fonts/TrueType-vlgothic
 EOF
Index: ptexlive/9realloc.sh
===================================================================
--- ptexlive.orig/9realloc.sh
+++ ptexlive/9realloc.sh
@@ -44,7 +44,7 @@ rm -rf "$PREFIX"
 echo "copying files '$TMP_PREFIX' -> '$PREFIX' ..."
 test -d "$PREFIX" && confirm "'$PREFIX' is found. Overwrite?"
 $MKDIR $PREFIX || exit
-(cd $SRC/inst && tar cf - bin lib include share texmf texmf-dist tlpkg) \
+(cd $SRC/inst && tar cf - bin lib include share texmf texmf-dist) \
     | (cd $PREFIX && tar xf -) || exit
 test "$UID" = 0 && chown -R 0:0 $PREFIX
 cat <<EOF
@@ -70,7 +70,7 @@ LD_LIBRARY_PATH=$PREFIX/lib/$ARCH:$LD_LI
 export PATH LD_LIBRARY_PATH TEXMFMAIN
 
 $MKTEXLSR 2> /dev/null || exit
-$UPDMAP   2> /dev/null || exit
+$UPDMAP --syncwithtrees  2> /dev/null || exit
 (fmtutil-sys --all 2>&1) > /dev/null
 # You can check if "$TMP_PREFIX" is not included in files under $PREFIX.
 # grep $TMP_PREFIX -l -r $PREFIX || true



トップ   編集 凍結 差分 バックアップ 添付 複製 名前変更 リロード   新規 一覧 単語検索 最終更新   ヘルプ   最終更新のRSS
Last-modified: 2009-07-04 (土) 06:22:32 (3087d)